petsc-3.15.0 2021-03-30
Report Typos and Errors

# MatMissingDiagonal

Determine if sparse matrix is missing a diagonal entry (or block entry for BAIJ matrices)

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMissingDiagonal(Mat mat,PetscBool *missing,PetscInt *dd)

Not Collective

### Input Parameter

| mat | - the matrix

### Output Parameters

| missing | - is any diagonal missing
| dd | - first diagonal entry that is missing (optional) on this process

### See Also

MatRealPart()

### Level

advanced

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages